package elug.servlets;

import java.io.PrintWriter;
import java.io.IOException;
import java.util.Enumeration;
import javax.servlet.*;
import javax.servlet.http.*;

public class ShowContext extends HttpServlet
{
  private static final String title = "Servlet Context Parameters";
  public void doGet (HttpServletRequest request,
                     HttpServletResponse response)
    throws ServletException, IOException
  {
    response.setContentType ("text/html");
    PrintWriter out = response.getWriter ();
    out.println ("<html>");
    out.println ("<head>");
    out.println ("<title>" + title + "</title>");
    out.println ("</head>");
    out.println ("<body>");
    out.println ("<h1>" + title + "</h1>");
    ServletContext context = getServletContext ();
    Enumeration enum = context.getInitParameterNames ();
    String parmname;
    String parmval;
    out.println ("<table border=2>");
    out.println ("<tr>");
    out.println ("<th>Name</th>");
    out.println ("<th>Value</th>");
    out.println ("</tr>");
    while (enum.hasMoreElements ())
      {
        parmname = (String) enum.nextElement ();
        parmval = context.getInitParameter (parmname);
        out.println ("<tr>");
        out.println ("<td>");
        out.print ("<code>");
        out.print (parmname);
        out.println ("</code>");
        out.println ("</td>");
        out.println ("<td>");
        if (parmval == null)
          out.println ("&lt;null&gt;");
        else
          {
            out.print ("<code>");
            out.print (parmval);
            out.println ("</code>");
          }
        out.println ("</td>");
        out.println ("</tr>");
      }
    out.println ("</table>");
    out.println ("</body>");
    out.println ("</html>");
  }
  public void doPost (HttpServletRequest request,
                      HttpServletResponse response)
    throws ServletException, IOException
  {
    doGet (request, response);
  }
}
