package elug.servlets;

import java.io.PrintWriter;
import java.io.IOException;
import java.util.Enumeration;
import javax.servlet.*;
import javax.servlet.http.*;

public class ShowHeaders extends HttpServlet
{
  private static final String title = "Servlet Request Headers";
  public void doGet (HttpServletRequest request,
                     HttpServletResponse response)
    throws ServletException, IOException
  {
    response.setContentType ("text/html");
    PrintWriter out = response.getWriter ();
    out.println ("<html>");
    out.println ("<head>");
    out.println ("<title>" + title + "</title>");
    out.println ("</head>");
    out.println ("<body>");
    out.println ("<h1>" + title + "</h1>");
    out.print ("Request URI = <code>");
    out.print (request.getRequestURI ());
    out.println ("</code>");
    out.println ("<p>");
    Enumeration headers = request.getHeaderNames ();
    if (headers == null)
      out.println ("No Request Headers");
    else
      {
        String headername;
        String headerval;
        out.println ("<ul>");
        while (headers.hasMoreElements ())
          {
            headername = (String) headers.nextElement ();
            headerval = request.getHeader (headername);
            out.print ("<li><code>");
            out.print (headername);
            out.print ("</code> = ");
            if (headerval == null)
              out.print ("&lt;null&gt;");
            else
              {
                out.print ("<code>");
                out.print (headerval);
                out.print ("</code>");
              }
            out.println ();
          }
        out.println ("</ul>");
      }
    out.println ("</body>");
    out.println ("</html>");
  }
  public void doPost (HttpServletRequest request,
                      HttpServletResponse response)
    throws ServletException, IOException
  {
    doGet (request, response);
  }
}
