package elug.servlets;

import java.io.PrintWriter;
import java.io.IOException;
import java.util.Enumeration;
import javax.servlet.*;
import javax.servlet.http.*;

public class ShowParms extends HttpServlet
{
  private static final String title = "Servlet Request Parameters";
  public void doGet (HttpServletRequest request,
                     HttpServletResponse response)
    throws ServletException, IOException
  {
    response.setContentType ("text/html");
    PrintWriter out = response.getWriter ();
    out.println ("<html>");
    out.println ("<head>");
    out.println ("<title>" + title + "</title>");
    out.println ("</head>");
    out.println ("<body>");
    out.println ("<h1>" + title + "</h1>");
    Enumeration parms = request.getParameterNames ();
    String parmname;
    String parmval;
    out.println ("<ul>");
    while (parms.hasMoreElements ())
      {
        parmname = (String) parms.nextElement ();
        parmval = request.getParameter (parmname);
        out.print ("<li><code>");
        out.print (parmname);
        out.print ("</code> = ");
        if (parmval == null)
          out.print ("&lt;null&gt;");
        else
          {
            out.print ("<code>");
            out.print (parmval);
            out.print ("</code>");
          }
        out.println ();
      }
    out.println ("</ul>");
    out.println ("</body>");
    out.println ("</html>");
  }
  public void doPost (HttpServletRequest request,
                      HttpServletResponse response)
    throws ServletException, IOException
  {
    doGet (request, response);
  }
}
